#define KEY_PIN     PIND
#define KEY0        2
#define KEY1        4
#define KEY2        7

#define REPEAT_MASK (1<<KEY1^1<<KEY2)   // repeat: key1, key2
#define REPEAT_START    50      // after 500ms
#define REPEAT_NEXT 20      // every 200ms


uint8_t get_key_press( uint8_t key_mask );
uint8_t get_key_rpt( uint8_t key_mask );
uint8_t get_key_short( uint8_t key_mask );
uint8_t get_key_long( uint8_t key_mask );

#define TT150ms     0
#define TT500ms     1
#define TT1s        2
#define TT2x        3

// toggles after a certain time:
// 0 150ms (not active)
// 1 500ms  (not active)
// 2 1s
// 3 2s  (not active)
// 4  (not active)
// 5  (not active)
// 6  (not active)
// 7  (not active)
extern volatile uint8_t toggletimer;
