//Typ Funktionszeiger definieren
typedef void (*VoidFnct) ( const uint8_t v );


void set_target ( const __attribute__((unused)) uint8_t v ) {
}
void config_menue( const __attribute__((unused)) uint8_t v ) {

}

void get_target ( const uint8_t v ) {
    lcd_uint16_unit( val_set[  v  ],
                     val_unit[ v ] );
}

void get_config_menue ( const __attribute__((unused)) uint8_t v ) {
    lcd_puts_P( " config" );
}

typedef struct MENU {
    void ( *tp )( const uint8_t id );
    int8_t prev;
    int8_t next;
    void ( *fp )( const uint8_t id );
    uint8_t arg;
} MENU_ENTRY; 


const MENU_ENTRY menue_b[] = {
  { get_target, 3, 1,       set_target, VAL_AMPS }, 
  { get_target, 0, 2,       set_target, VAL_VOLT }, 
  { get_target, 1, 3,       set_target, VAL_WATT }, 
  { get_config_menue, 2, 0, config_menue, VAL_NONE }, 
};

void draw_menue(uint8_t pos) {
    lcd_gotoxy(0, 0);
    lcd_puts(">");
    VoidFnct Funktion = (VoidFnct) menue_b[pos].tp;
    Funktion( menue_b[pos].arg );
//    lcd_puts(menue_b[pos].text);
}

uint8_t menue_prev( uint8_t pos ) {
    return menue_b[pos].prev;
}
uint8_t menue_next( uint8_t pos ) {
    return menue_b[pos].next;
}
